import inspect
from common.base.base_api import BaseApi
from services.server_integration.schemas.calibrate_status import CalibrateMessage
from settings import settings


class ServerIntegrationRouterApi(BaseApi):
    def __init__(self):
        super(ServerIntegrationRouterApi, self).__init__(request_queue_uuid=settings.SERVER_INTEGRATION_ROUTER_REQUEST_QUEUE)

    def set_calibrate_status(self, msg: CalibrateMessage):
        res = self.send_rpc_request_message(inspect.currentframe().f_code.co_name, {'msg': msg})
        return res